# Ganeti 3.1

**Welcome to the Ganeti Project**

Ganeti is a virtual machine cluster management tool built on top of existing virtualisation technologies such as Xen or KVM and other open source software.

## Our Vision
 * a virtualisation solution that Just Works
 * self-contained
 * aim for high-availibility and reliability
 * mid-range virtualisation solution (3 to 100 nodes)
 * purely open source
 * low complexity
 * available in major Linux distributions

## Getting Started
### Debian
Debian provides packages out of the box. More recent packages can usually be found through [Debian Backports](https://backports.debian.org/).

### Ubuntu
Please use [this PPA](https://launchpad.net/~pkg-ganeti-devel/+archive/ubuntu/lts) if you would like to run Ganeti on Ubuntu.

### RedHat/CentOS
For Redhat/CentOS based systems, please head over to [this repository](https://jfut.integ.jp/linux/ganeti/).

### Other Distributions / Source builds
You can also build Ganeti directly from source - please read [these instructions](https://github.com/ganeti/ganeti/blob/master/INSTALL) carefully.

### Nightly/Developer builds
We provide nightly packages for Debian and Ubuntu off the project's master branch via this repository.
These packages are only for testing purposes, do not use them in production! There is no upgrade path between nightly builds!

Further information about dependencies and cluster initialisation can be found in [this Guide](https://docs.ganeti.org/docs/ganeti/3.0/html/install.html).

## Community
Ganeti is being used in virtualisation setups all over the world. If you want to reach or join our community, you can use one of the following options.

### Mailing Lists
There are two mailing lists available: [ganeti-users](https://groups.google.com/g/ganeti) and [ganeti-devel](https://groups.google.com/g/ganeti-devel).

### IRC
The `#ganeti` channel lives on the [OFTC IRC Network](https://www.oftc.net/).

### GanetiCon
We have a yearly developer & users meeting organized by the community. Head over to [ganeticon.org](https://ganeticon.org/) for more information!

## Contributing
You would like to contribute to the Ganeti Project? Feel free to open Github issues, submit pull requests and of course check out our [development guidelines](https://github.com/ganeti/ganeti/wiki#development).
